Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# include/OggFLAC/stream_decoder.h File Reference

This module contains the functions which implement the stream decoder. More...

`#include "export.h"`
`#include "FLAC/stream_decoder.h"`

Go to the source code of this file.

## Compounds

struct | OggFLAC__StreamDecoder

## Typedefs

typedef FLAC__StreamDecoderReadStatus(* | OggFLAC__StreamDecoderReadCallback )(const OggFLAC__StreamDecoder *decoder, FLAC__byte buffer[], unsigned *bytes, void *client_data)
typedef FLAC__StreamDecoderWriteStatus(* | OggFLAC__StreamDecoderWriteCallback )(const OggFLAC__StreamDecoder *decoder, const FLAC__Frame *frame, const FLAC__int32 *const buffer[], void *client_data)
typedef void(* | OggFLAC__StreamDecoderMetadataCallback )(const OggFLAC__StreamDecoder *decoder, const FLAC__StreamMetadata *metadata, void *client_data)
typedef void(* | OggFLAC__StreamDecoderErrorCallback )(const OggFLAC__StreamDecoder *decoder, FLAC__StreamDecoderErrorStatus status, void *client_data)

## Enumerations

enum | OggFLAC__StreamDecoderState { OggFLAC__STREAM_DECODER_OK = 0, OggFLAC__STREAM_DECODER_OGG_ERROR, OggFLAC__STREAM_DECODER_READ_ERROR, OggFLAC__STREAM_DECODER_FLAC_STREAM_DECODER_ERROR, OggFLAC__STREAM_DECODER_INVALID_CALLBACK, OggFLAC__STREAM_DECODER_MEMORY_ALLOCATION_ERROR, OggFLAC__STREAM_DECODER_ALREADY_INITIALIZED, OggFLAC__STREAM_DECODER_UNINITIALIZED }

## Functions

OggFLAC_API OggFLAC__StreamDecoder * | OggFLAC__stream_decoder_new ()
OggFLAC_API void | OggFLAC__stream_decoder_delete (OggFLAC__StreamDecoder *decoder)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_read_callback (OggFLAC__StreamDecoder *decoder, OggFLAC__StreamDecoderReadCallback value)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_write_callback (OggFLAC__StreamDecoder *decoder, OggFLAC__StreamDecoderWriteCallback value)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_metadata_callback (OggFLAC__StreamDecoder *decoder, OggFLAC__StreamDecoderMetadataCallback value)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_error_callback (OggFLAC__StreamDecoder *decoder, OggFLAC__StreamDecoderErrorCallback value)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_client_data (OggFLAC__StreamDecoder *decoder, void *value)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_serial_number (OggFLAC__StreamDecoder *decoder, long serial_number)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_metadata_respond (OggFLAC__StreamDecoder *decoder, FLAC__MetadataType type)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_metadata_respond_application (OggFLAC__StreamDecoder *decoder, const FLAC__byte id[4])
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_metadata_respond_all (OggFLAC__StreamDecoder *decoder)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_metadata_ignore (OggFLAC__StreamDecoder *decoder, FLAC__MetadataType type)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_metadata_ignore_application (OggFLAC__StreamDecoder *decoder, const FLAC__byte id[4])
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_set_metadata_ignore_all (OggFLAC__StreamDecoder *decoder)
OggFLAC_API OggFLAC__StreamDecoderState | OggFLAC__stream_decoder_get_state (const OggFLAC__StreamDecoder *decoder)
OggFLAC_API FLAC__StreamDecoderState | OggFLAC__stream_decoder_get_FLAC_stream_decoder_state (const OggFLAC__StreamDecoder *decoder)
OggFLAC_API unsigned | OggFLAC__stream_decoder_get_channels (const OggFLAC__StreamDecoder *decoder)
OggFLAC_API FLAC__ChannelAssignment | OggFLAC__stream_decoder_get_channel_assignment (const OggFLAC__StreamDecoder *decoder)
OggFLAC_API unsigned | OggFLAC__stream_decoder_get_bits_per_sample (const OggFLAC__StreamDecoder *decoder)
OggFLAC_API unsigned | OggFLAC__stream_decoder_get_sample_rate (const OggFLAC__StreamDecoder *decoder)
OggFLAC_API unsigned | OggFLAC__stream_decoder_get_blocksize (const OggFLAC__StreamDecoder *decoder)
OggFLAC_API OggFLAC__StreamDecoderState | OggFLAC__stream_decoder_init (OggFLAC__StreamDecoder *decoder)
OggFLAC_API void | OggFLAC__stream_decoder_finish (OggFLAC__StreamDecoder *decoder)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_flush (OggFLAC__StreamDecoder *decoder)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_reset (OggFLAC__StreamDecoder *decoder)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_process_single (OggFLAC__StreamDecoder *decoder)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_process_until_end_of_metadata (OggFLAC__StreamDecoder *decoder)
OggFLAC_API FLAC__bool | OggFLAC__stream_decoder_process_until_end_of_stream (OggFLAC__StreamDecoder *decoder)

## Variables

OggFLAC_API const char *const | OggFLAC__StreamDecoderStateString []

## Detailed Description

This module contains the functions which implement the stream decoder.

See the detailed documentation in the stream decoder module.